Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 719014 - app-accessibility/speech-dispatcher-0.10.0_rc4 version bump
Summary: app-accessibility/speech-dispatcher-0.10.0_rc4 version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: William Hubbs
URL: https://github.com/brailcom/speechd/r...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-23 09:36 UTC by Paolo Pedroni
Modified: 2021-06-17 04:04 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild for speech-dispatcher-0.10.0-rc3 (speech-dispatcher-0.10.0-rc3.ebuild,2.61 KB, text/plain)
2020-06-19 14:04 UTC, Geoff Madden
Details
emerge info (emerge.inf,6.17 KB, text/plain)
2020-06-25 14:25 UTC, Geoff Madden
Details
build.log (build.log.tar.xz,6.41 KB, application/x-xz)
2020-06-25 14:41 UTC, Geoff Madden
Details
python log (build-python3_7.log,138 bytes, text/x-log)
2020-06-25 14:42 UTC, Geoff Madden
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Paolo Pedroni 2020-04-23 09:36:12 UTC
There is, apparently, version 0.8.8 on the homepage (https://freebsoft.org/speechd)

Looking at the github repo (https://github.com/brailcom/speechd/releases) it has been released in November 2017 and there are also a 0.9.0 and 0.9.1 from May 2019.
Comment 1 Geoff Madden 2020-06-19 14:04:52 UTC
Created attachment 645256 [details]
ebuild for speech-dispatcher-0.10.0-rc3

some help on why this ebuild is not recognised would be helpful. apparently the syntax is not correct.
I used an existing ebuild.
Comment 2 Geoff Madden 2020-06-25 14:24:18 UTC
Why doesn't the bump appear in portage,it's now been 3weeks since the notification of the update,Which I have not been able to download, I did download the version 0.10.0 but wasn't able to create an ebuild of same.
As to the other versions mentioned I've had no success compiling.
Comment 3 Geoff Madden 2020-06-25 14:25:49 UTC
Created attachment 646384 [details]
emerge info
Comment 4 Geoff Madden 2020-06-25 14:41:22 UTC
Created attachment 646388 [details]
build.log
Comment 5 Geoff Madden 2020-06-25 14:42:02 UTC
Created attachment 646390 [details]
python log
Comment 6 LE GARREC Vincent 2020-07-01 15:44:10 UTC
According to https://bugzilla.redhat.com/show_bug.cgi?id=1793506 and https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=957830 we can't compile speech-dispatcher 0.8 and 0.9 with gcc-10.0
Comment 7 Jack 2020-07-01 16:34:37 UTC
The patch from bug 706818 allowed me to build 0.8.7-r3 with gcc-10.1.0-r1 with no problems. I also still don't see any version higher than that in portage.
Comment 8 Larry the Git Cow gentoo-dev 2020-07-13 00:30:45 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d1c2c0c2580643616e30dd44485d7a19a6d284f5

commit d1c2c0c2580643616e30dd44485d7a19a6d284f5
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-07-10 16:56:59 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-07-13 00:29:08 +0000

    app-accessibility/speech-dispatcher: 0.9.1 version bump
    
    Bug: https://bugs.gentoo.org/719014
    Closes: https://bugs.gentoo.org/706818
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 app-accessibility/speech-dispatcher/Manifest       |   1 +
 .../files/speech-dispatcher-0.9.1-fno-common.patch | 466 +++++++++++++++++++++
 .../speech-dispatcher-0.9.1.ebuild                 | 116 +++++
 3 files changed, 583 insertions(+)
Comment 9 ta2002 2021-02-05 23:56:18 UTC
As of 2020-11-24, 0.10.2 has become the latest release.
Comment 10 darcagn 2021-06-17 04:03:33 UTC
0.11.0-rc2 is now the latest release.